import {
	httpGet,
	httpPost
} from "@/utils/request.js"


/**
 * 问答列表
 * @param {*} params 
 * ReplyStatus 提问状态 1-待分配 2-待回答 3-已回答
 * CommunityQuestionId
 * Keyword
 * CurrentIndex
 * PageSize
 */
export const apiQuestionList = params => {
   return  httpGet('/yb/community/question/list',params)
}

/**
 * 待分配的研究员的列表
 * @param {*} params  IncludeDisableMember 0
 */
export const apiRsList = () => {
   return  httpGet('/taglib/variety_tag/tag_tree',{IncludeDisableMember: 0})
}

/**
 * 修改问答内容
 * QuestionId QuestionContent
 */
export const apiEditQuestion = params => {
   return  httpPost('/yb/community/question/edit',params)
}

/**
 * 删除问答  QuestionId
 */
export const apiDelQuestion = params => {
   return  httpPost('/yb/community/question/delete',params)
}

/**
 * 分配
 * "QuestionId": 54, //问答id
   "AdminId": 450, //研究员id
   "ResearchGroupFirstId": 3, //一级分组id
   "ResearchGroupSecondId": 41 //二级分组id
 */
export const apiDistribute = params => {
   return  httpPost('/yb/community/question/distribute',params)
}

/**
 * 设置精选
 * @param {*} params  CommunityQuestionCommentId
 */
export const apiSetHotComment = params => {
   return  httpPost('/yb/community/question/comment/hot',params)
}

/**
 * 删除评论
 * @param {*} params  CommunityQuestionCommentId
 */
export const apiDelComment = params => {
   return  httpPost('/yb/community/question/comment/delete',params)
}

/**
 * 评论列表
 * @param {*} params 
 * CommunityQuestionCommentId
 * Keyword
 * HotStatus 精选状态 -1:全部 0-未精选，1-已精选
 * CurrentIndex
 * PageSize
 * 来源（CommunityQuestionCommentId>0也需要传）：1-问答社区; 2-视频社区
 */
export const apiCommentList = params => {
   return  httpGet('/yb/community/question/comment/list',params)
}


