import {
	httpGet,
	httpPost
} from "@/utils/request.js"

/**
 * 接受活动
 * @param {int}  RsCalendarId  
 * @param {int}  RsCalendarResearcherId
 */
export const acceptActivity = params => {
	return httpPost('/roadshow/accept', params)
}

/**
 * 拒绝活动
 * @param
 * RefuseReason RsCalendarId  RsCalendarResearcherId
 */
export const refuseActivity = params => {
	return httpPost('/roadshow/refuse', params)
}

/**
 * 撤回活动
 * @param
 *  RsCalendarId  RsCalendarResearcherId
 */
export const backActivity = params => {
	return httpPost('/roadshow/back', params)
}


/**
 * 新增活动
 * @param 
 */
export const addActivity = params => {
	return httpPost('/roadshow/add', params)
}

/**
 * 编辑活动 "RsCalendarId": 0,"RsCalendarResearcherId": 0,
 * @param 
 */
export const editActivity = params => {
	return httpPost('/roadshow/edit', params)
}

/**
 * 删除活动 "DeleteReason": "string","RsCalendarId": 0,"RsCalendarResearcherId": 0
 * @param 
 */
export const delActivity = params => {
	return httpPost('/roadshow/delete', params)
}

/**
 * 新增事项
 * @param  "EndDate": "string",
					"EndTime": "string",
					"EndWeek": "string",
					"MatterContent": "string",
					"StartDate": "string",
					"StartTime": "string",
					"StartWeek": "string"
 */
export const addMatter = params => {
	return httpPost('/roadshow/matters/add', params)
}

/**
 * 删除事项
 * @param   RsMattersId
 */
export const delMatter = params => {
	return httpPost('/roadshow/matters/delete', params)
}

/**
 * 修改事项
 * @param 
 * "EndDate": "string",
  "EndTime": "string",
  "EndWeek": "string",
  "MatterContent": "string",
  "RsMattersId": 0,
  "StartDate": "string",
  "StartTime": "string",
  "StartWeek": "string"
 */
export const editMatter = params => {
	return httpPost('/roadshow/matters/update', params)
}

/**
 * 活动列表 路演、公开会议
 * @param   
 * PageSize CurrentIndex Status 
 */
export const calendarList = params => {
	return httpGet('/roadshow/calendar/list', params)
}

/**
 * 活动列表 内部会议 电话会
 * @param   
 * PageSize CurrentIndex CalendarType  1:内部会议,2:报告电话会
 */
export const calendarTypeList = params => {
	return httpGet('/roadshow/calendar/type/list', params)
}

/**
 * 事项列表
 * @param   
 * PageSize CurrentIndex 
 */
export const matterList = params => {
	return httpGet('/roadshow/matters/list', params)
	
}

/**
 * 活动详情
 * @param   
 * RsCalendarId  RsCalendarResearcherId  
 */
export const calendarDetail = params => {
	return httpGet('/roadshow/calendar/detail', params)
}

/**
 * 研究员列表
 */
export const researcherList = params => {
	return httpGet('/roadshow/researcher/list', params)
}


/**
 * 电话会类别
 */
export const telTypes = params => {
	return httpGet('/roadshow/activity/type/list', params)
}

/**
 * 搜索客户 KeyWord 
 */
export const companySearch = params => {
	return httpGet('/roadshow/company/search', params)
}

/**
 * 客户信息 CompanyId 
 */
export const companyInfo = params => {
	return httpGet('/roadshow/company/detail', params)
}

/**
 * 研究员日历日程 StartDate  EndDate ResearcherId
 */
export const researchEvents = params => {
	return httpGet('/roadshow/researcher/calendar/detail', params)
}

/**
 * 我的日历日程 StartDate  EndDate
 */
export const myEvents = params => {
	return httpGet('/roadshow/my/calendar/detail', params)
}




